Subject: Re: bash, javac, and relative paths
From: [email-masked] (Earnie Boyd)

21 Jan 1998 01:33:27 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Unless javac is compiled with gnu-win32 it will not be able to resolve 
relative path names under bash correctly.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)
http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                (Project Page)
http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
ftp://ftp.deninc.com/pub (Den Internet Services - US mirror and ports)
http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)

>From: Michael Werts <[email-masked]>
>To: <[email-masked]>
>Subject: bash, javac, and relative paths
>Date: Thu, 15 Jan 1998 14:18:59 -0500
>
>I am trying to use the b18 version of bash with JDK 1.1.5.  When I 
invoke the
>java compiler on a relative
>path, i.e.
>
>     javac sunw/demo/juggler/Juggler.java      (compiling class 
Juggler)
>
>I get an error which says class Juggler must be in a file named 
"Juggler.java,"
>which, of course, it is. The
>compiler works fine if I am in the same directory.  It also works fine 
from the
>NT shell.
>
>I have just done the basic installation described in the faq.  
gnu-win32 is
>installed on the c: drive and the c:
>drive is mounted as /.  I do not have any bash configuration files yet.  
Has
>anyone else run into this problem?
>I know other people are use the gnu-win32 tools and ntemacs for java
>development, so I assume I have
>done something wrong.
>
>I have one other related question.  In trying to get bash to work I was 
playing
>the mount a little.  I managed to
>change / to e: and then change it back to c:.  However, now I cannot 
seem to
>get mount to do anything.  I do
>a 'umount /' which returns, but c: is still /.  Then I try a 'mount e: 
/' which
>fails because / is busy.  What am I
>doing wrong here?
>
>Thanks in advance.
>
>-- Mike
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".